package com.fufan.mtsaas.modules.sysmgr.hrsys.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.fufan.mtsaas.modules.sysmgr.hrsys.model.SYLOG;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
  *  Mapper 接口
 *
 * @author Liby
 * @since 2019-11-22
 */
@Repository
public interface SYLOGDao extends BaseMapper<SYLOG> {
    List<SYLOG> selectList(Page page, @Param("params") Map<String, String> params);

    int insertRecords(SYLOG sYscriptD);

    int deleteByPk(@Param("params") Map<String, String> params);

    int updateRecords(SYLOG sYscriptD);
}